ApiFuseApiFuse
API Reference

카카오맵 도보 길찾기

출발지에서 목적지까지의 도보 경로를 조회합니다.

카카오맵 도보 길찾기

도보 경로의 거리(m)와 소요시간(초)을 반환합니다.

엔드포인트

GET /v1/kakaomap-walk-directions

Upstream

  • Base URL: https://app.map.kakao.com
  • Path: /route/walkset.json

요청 파라미터

파라미터타입필수기본값설명
origin_latnumber-출발지 위도
origin_lngnumber-출발지 경도
dest_latnumber-목적지 위도
dest_lngnumber-목적지 경도

요청 예시

{
  "origin_lat": 37.554722,
  "origin_lng": 126.970833,
  "dest_lat": 37.556201,
  "dest_lng": 126.972992
}

응답 스키마

아래 스키마는 adapter의 Zod output schema에서 직접 생성됩니다.

{
  "$schema": "https://json-schema.org/draft/2020-12/schema",
  "type": "object",
  "properties": {
    "distance_m": {
      "type": "number"
    },
    "duration_sec": {
      "type": "number"
    }
  },
  "required": [
    "distance_m",
    "duration_sec"
  ],
  "additionalProperties": false
}

응답 예시

{
  "data": {
    "results": [
      {
        "success": true,
        "length": 420,
        "time": 540
      }
    ]
  },
  "pagination": null,
  "meta": {
    "source": "kakaomap-walk-directions",
    "fetchedAt": "2026-03-24T00:00:00.000Z"
  }
}

On this page